EtmV4DTrcPacket Class Reference
OpenCSD Library : Trace Packet Types

ETMv4 Data Trace Protocol Packet . More...

`#include <trc_pkt_elem_etmv4d.h>`

Inheritance diagram for EtmV4DTrcPacket:
[legend]
Collaboration diagram for EtmV4DTrcPacket:
[legend]

## Public Member Functions

| EtmV4DTrcPacket ()
| ~EtmV4DTrcPacket ()
virtual void | toString (std::string &str) const
virtual void | toStringFmt (const uint32_t fmtFlags, std::string &str) const
Public Member Functions inherited from TrcPacketBase
| TrcPacketBase ()
virtual | ~TrcPacketBase ()
virtual const void * | c_pkt () const =0
| return the underlying C API packet structure More...

## Additional Inherited Members

Public Attributes inherited from _ocsd_etmv4_d_pkt
ocsd_etmv4_d_pkt_type | type
ocsd_pkt_vaddr | d_addr
uint64_t | pkt_val
ocsd_etmv4_d_pkt_type | err_type

## Detailed Description

ETMv4 Data Trace Protocol Packet .

This class represents a single ETMv4 instruction trace packet, along with intra packet state.

Definition at line 51 of file trc_pkt_elem_etmv4d.h.

## Constructor & Destructor Documentation

## EtmV4DTrcPacket()

EtmV4DTrcPacket::EtmV4DTrcPacket | ( |  | ) |

## ~EtmV4DTrcPacket()

EtmV4DTrcPacket::~EtmV4DTrcPacket | ( |  | ) |

## Member Function Documentation

## toString()

virtual void EtmV4DTrcPacket::toString | ( | std::string & | str | ) | const

virtual

Reimplemented from trcPrintableElem.

## toStringFmt()

virtual void EtmV4DTrcPacket::toStringFmt | ( | const uint32_t | fmtFlags,
|  | std::string & | str
| ) |  | const

virtual

Reimplemented from trcPrintableElem.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv4/trc_pkt_elem_etmv4d.h